summaryrefslogtreecommitdiffstats
path: root/pgpewrap
diff options
context:
space:
mode:
authorThomas Roessler <roessler@does-not-exist.org>1999-06-03 07:27:43 +0000
committerThomas Roessler <roessler@does-not-exist.org>1999-06-03 07:27:43 +0000
commitdddad7c776881afcb79b627c5e423b4dd1ac8959 (patch)
tree9fabe2dc0b83076a387de99fc0572b7eb902cb02 /pgpewrap
parentb5eae58059edb774a743a4c7f66229f7124ad5ab (diff)
Experimental: New PGP invocation interface. The invocations are done
through formats, so all this should fit more cleanly into mutt now.
Diffstat (limited to 'pgpewrap')
-rwxr-xr-xpgpewrap20
1 files changed, 20 insertions, 0 deletions
diff --git a/pgpewrap b/pgpewrap
new file mode 100755
index 00000000..2f3a21c2
--- /dev/null
+++ b/pgpewrap
@@ -0,0 +1,20 @@
+#!/bin/sh --
+
+cmd=$1
+pfx=""
+
+die() {
+ echo "Command line usage: $0 [flags] -- prefix [recipients]" >& 2
+ exit 1
+}
+
+while shift && test -n "$1" ; do
+ if test "$1" = "--" ; then
+ shift || die
+ pfx="$1"
+ shift || die
+ fi
+ cmd="$cmd $pfx $1"
+done
+
+exec $cmd